This connector is optimized for AI agents. For the data replication connector, see Gong .
This is the full reference documentation for the Gong agent connector.
Supported entities and actions
The Gong connector supports the following entities and actions.
Users
Users List
Returns a list of all users in the Gong account
Python SDK
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "list" }'
Parameters
Parameter Name Type Required Description cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringemailAddressstringcreatedstringactivebooleanemailAliasesarray<string>trustedEmailAddressstring | nullfirstNamestringlastNamestringtitlestring | nullphoneNumberstring | nullextensionstring | nullpersonalMeetingUrlsarray<string>settingsobjectmanagerIdstring | nullmeetingConsentPageUrlstring | nullspokenLanguagesarray<object>
Field Name Type Description cursorstring | nulltotal_recordsintegercurrent_page_numberinteger
Users Get
Get a single user by ID
Python SDK
await gong . users . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes User ID
Response Schema Records Field Name Type Description idstringemailAddressstringcreatedstringactivebooleanemailAliasesarray<string>trustedEmailAddressstring | nullfirstNamestringlastNamestringtitlestring | nullphoneNumberstring | nullextensionstring | nullpersonalMeetingUrlsarray<string>settingsobjectmanagerIdstring | nullmeetingConsentPageUrlstring | nullspokenLanguagesarray<object>
Users Context Store Search
Search and filter users records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await gong . users . context_store_search ( query = { "filter" : { "eq" : { "active" : True } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"active": True}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description activebooleanIndicates if the user is currently active or not createdstringThe timestamp denoting when the user account was created emailAddressstringThe primary email address associated with the user emailAliasesarrayAdditional email addresses that can be used to reach the user extensionstringThe phone extension number for the user firstNamestringThe first name of the user idstringUnique identifier for the user lastNamestringThe last name of the user managerIdstringThe ID of the user's manager meetingConsentPageUrlstringURL for the consent page related to meetings personalMeetingUrlsarrayURLs for personal meeting rooms assigned to the user phoneNumberstringThe phone number associated with the user settingsobjectUser-specific settings and configurations spokenLanguagesarrayLanguages spoken by the user titlestringThe job title or position of the user trustedEmailAddressstringAn email address that is considered trusted for the user
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].activebooleanIndicates if the user is currently active or not data[].createdstringThe timestamp denoting when the user account was created data[].emailAddressstringThe primary email address associated with the user data[].emailAliasesarrayAdditional email addresses that can be used to reach the user data[].extensionstringThe phone extension number for the user data[].firstNamestringThe first name of the user data[].idstringUnique identifier for the user data[].lastNamestringThe last name of the user data[].managerIdstringThe ID of the user's manager data[].meetingConsentPageUrlstringURL for the consent page related to meetings data[].personalMeetingUrlsarrayURLs for personal meeting rooms assigned to the user data[].phoneNumberstringThe phone number associated with the user data[].settingsobjectUser-specific settings and configurations data[].spokenLanguagesarrayLanguages spoken by the user data[].titlestringThe job title or position of the user data[].trustedEmailAddressstringAn email address that is considered trusted for the user
Calls
Calls List
Retrieve calls data by date range
Python SDK
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "calls", "action": "list" }'
Parameters
Parameter Name Type Required Description fromDateTimestringNo Start date in ISO 8601 format toDateTimestringNo End date in ISO 8601 format cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringurlstringtitlestringscheduledstringstartedstringdurationintegerprimaryUserIdstringdirectionstringsystemstringscopestringmediastringlanguagestringworkspaceIdstringsdrDispositionstring | nullclientUniqueIdstring | nullcustomDatastring | nullpurposestring | nullmeetingUrlstringisPrivatebooleancalendarEventIdstring | null
Field Name Type Description cursorstring | nulltotal_recordsintegercurrent_page_numberinteger
Calls Get
Get specific call data by ID
Python SDK
await gong . calls . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "calls", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes Call ID
Response Schema Records Field Name Type Description idstringurlstringtitlestringscheduledstringstartedstringdurationintegerprimaryUserIdstringdirectionstringsystemstringscopestringmediastringlanguagestringworkspaceIdstringsdrDispositionstring | nullclientUniqueIdstring | nullcustomDatastring | nullpurposestring | nullmeetingUrlstringisPrivatebooleancalendarEventIdstring | null
Calls Context Store Search
Search and filter calls records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await gong . calls . context_store_search ( query = { "filter" : { "eq" : { "calendarEventId" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "calls", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"calendarEventId": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description calendarEventIdstringUnique identifier for the calendar event associated with the call. clientUniqueIdstringUnique identifier for the client related to the call. customDatastringCustom data associated with the call. directionstringDirection of the call (inbound/outbound). durationintegerDuration of the call in seconds. idstringUnique identifier for the call. isPrivatebooleanIndicates if the call is private or not. languagestringLanguage used in the call. mediastringMedia type used for communication (voice, video, etc.). meetingUrlstringURL for accessing the meeting associated with the call. primaryUserIdstringUnique identifier for the primary user involved in the call. purposestringPurpose or topic of the call. scheduledstringScheduled date and time of the call. scopestringScope or extent of the call. sdrDispositionstringDisposition set by the sales development representative. startedstringStart date and time of the call. systemstringSystem information related to the call. titlestringTitle or headline of the call. urlstringURL associated with the call. workspaceIdstringIdentifier for the workspace to which the call belongs.
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].calendarEventIdstringUnique identifier for the calendar event associated with the call. data[].clientUniqueIdstringUnique identifier for the client related to the call. data[].customDatastringCustom data associated with the call. data[].directionstringDirection of the call (inbound/outbound). data[].durationintegerDuration of the call in seconds. data[].idstringUnique identifier for the call. data[].isPrivatebooleanIndicates if the call is private or not. data[].languagestringLanguage used in the call. data[].mediastringMedia type used for communication (voice, video, etc.). data[].meetingUrlstringURL for accessing the meeting associated with the call. data[].primaryUserIdstringUnique identifier for the primary user involved in the call. data[].purposestringPurpose or topic of the call. data[].scheduledstringScheduled date and time of the call. data[].scopestringScope or extent of the call. data[].sdrDispositionstringDisposition set by the sales development representative. data[].startedstringStart date and time of the call. data[].systemstringSystem information related to the call. data[].titlestringTitle or headline of the call. data[].urlstringURL associated with the call. data[].workspaceIdstringIdentifier for the workspace to which the call belongs.
Calls Extensive
Calls Extensive List
Retrieve detailed call data including participants, interaction stats, and content
Python SDK
await gong . calls_extensive . list ( filter = { } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "calls_extensive", "action": "list", "params": { "filter": {} } }'
Parameters
Parameter Name Type Required Description filterobjectYes filter.fromDateTimestringNo Start date in ISO 8601 format. Recommended for scoping results to a manageable date range. filter.toDateTimestringNo End date in ISO 8601 format. Recommended for scoping results to a manageable date range. filter.callIdsarray<string>No List of specific call IDs to retrieve. Alternative to date range filtering. filter.workspaceIdstringNo Filter by workspace ID contentSelectorobjectNo Select which content to include in the response contentSelector.context"Extended"No Context level for the data contentSelector.contextTimingarray<"Now" | "TimeOfCall">No Context timing options contentSelector.exposedFieldsobjectNo Specify which fields to include in the response contentSelector.exposedFields.collaborationobjectNo contentSelector.exposedFields.collaboration.publicCommentsbooleanNo Include public comments contentSelector.exposedFields.contentobjectNo contentSelector.exposedFields.content.pointsOfInterestbooleanNo Include points of interest (deprecated, use highlights) contentSelector.exposedFields.content.structurebooleanNo Include call structure contentSelector.exposedFields.content.topicsbooleanNo Include topics discussed contentSelector.exposedFields.content.trackersbooleanNo Include trackers contentSelector.exposedFields.content.trackerOccurrencesbooleanNo Include tracker occurrences contentSelector.exposedFields.content.briefbooleanNo Include call brief contentSelector.exposedFields.content.outlinebooleanNo Include call outline contentSelector.exposedFields.content.highlightsbooleanNo Include call highlights contentSelector.exposedFields.content.callOutcomebooleanNo Include call outcome contentSelector.exposedFields.content.keyPointsbooleanNo Include key points contentSelector.exposedFields.interactionobjectNo contentSelector.exposedFields.interaction.personInteractionStatsbooleanNo Include person interaction statistics contentSelector.exposedFields.interaction.questionsbooleanNo Include questions asked contentSelector.exposedFields.interaction.speakersbooleanNo Include speaker information contentSelector.exposedFields.interaction.videobooleanNo Include video interaction data contentSelector.exposedFields.mediabooleanNo Include media URLs (audio/video) contentSelector.exposedFields.partiesbooleanNo Include participant information cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description metaDataobjectpartiesarray<object>interactionobjectcollaborationobjectcontentobjectmediaobject
Field Name Type Description cursorstring | nulltotal_recordsintegercurrent_page_numberinteger
Calls Extensive Context Store Search
Search and filter calls extensive records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await gong . calls_extensive . context_store_search ( query = { "filter" : { "eq" : { "id" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "calls_extensive", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idintegerUnique identifier for the call (from metaData.id). startdatetimestringDatetime for extensive calls. collaborationobjectCollaboration information added to the call contentobjectAnalysis of the interaction content. contextobjectA list of the agenda of each part of the call. interactionobjectMetrics collected around the interaction during the call. mediaobjectThe media urls of the call. metaDataobjectcall's metadata. partiesarrayA list of the call's participants
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idintegerUnique identifier for the call (from metaData.id). data[].startdatetimestringDatetime for extensive calls. data[].collaborationobjectCollaboration information added to the call data[].contentobjectAnalysis of the interaction content. data[].contextobjectA list of the agenda of each part of the call. data[].interactionobjectMetrics collected around the interaction during the call. data[].mediaobjectThe media urls of the call. data[].metaDataobjectcall's metadata. data[].partiesarrayA list of the call's participants
Call Audio
Call Audio Download
ALWAYS configure the request with the exposedFields: {"media": true}. If you don't the call won't work.
Downloads the audio media file for a call. Temporarily, the request body must be configured with:
{"filter": {"callIds": [CALL_ID]}, "contentSelector": {"exposedFields": {"media": true}}}
Python SDK
async for chunk in gong . call_audio . download ( ) : file . write ( chunk )
Note : Download operations return an async iterator of bytes chunks for memory-efficient streaming. Use async for to process chunks as they arrive.
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "call_audio", "action": "download" }'
Parameters
Parameter Name Type Required Description filterobjectNo filter.callIdsarray<string>No List containing the single call ID contentSelectorobjectNo contentSelector.exposedFieldsobjectNo contentSelector.exposedFields.mediabooleanNo Must be true to get media URLs range_headerstringNo Optional Range header for partial downloads (e.g., 'bytes=0-99')
Call Video
Call Video Download
ALWAYS configure the request with the exposedFields: {"media": true}. If you don't the call won't work.
Downloads the video media file for a call. Temporarily, the request body must be configured with:
{"filter": {"callIds": [CALL_ID]}, "contentSelector": {"exposedFields": {"media": true}}}
Python SDK
async for chunk in gong . call_video . download ( ) : file . write ( chunk )
Note : Download operations return an async iterator of bytes chunks for memory-efficient streaming. Use async for to process chunks as they arrive.
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "call_video", "action": "download" }'
Parameters
Parameter Name Type Required Description filterobjectNo filter.callIdsarray<string>No List containing the single call ID contentSelectorobjectNo contentSelector.exposedFieldsobjectNo contentSelector.exposedFields.mediabooleanNo Must be true to get media URLs range_headerstringNo Optional Range header for partial downloads (e.g., 'bytes=0-99')
Workspaces
Workspaces List
List all company workspaces
Python SDK
await gong . workspaces . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspaces", "action": "list" }'
Response Schema Records Field Name Type Description idstringworkspaceIdstringnamestringdescriptionstring
Call Transcripts
Call Transcripts List
Returns transcripts for calls in a specified date range or specific call IDs
Python SDK
await gong . call_transcripts . list ( filter = { } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "call_transcripts", "action": "list", "params": { "filter": {} } }'
Parameters
Parameter Name Type Required Description filterobjectYes filter.fromDateTimestringNo Start date in ISO 8601 format. Recommended for scoping results to a manageable date range. filter.toDateTimestringNo End date in ISO 8601 format. Recommended for scoping results to a manageable date range. filter.callIdsarray<string>No List of specific call IDs to retrieve transcripts for. Alternative to date range filtering. cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description callIdstringtranscriptarray<object>
Field Name Type Description cursorstring | nulltotal_recordsintegercurrent_page_numberinteger
Stats Activity Aggregate
Stats Activity Aggregate List
Provides aggregated user activity metrics across a specified period
Python SDK
await gong . stats_activity_aggregate . list ( filter = { } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "stats_activity_aggregate", "action": "list", "params": { "filter": {} } }'
Parameters
Parameter Name Type Required Description filterobjectYes filter.fromDatestringNo Start date (YYYY-MM-DD). Recommended for scoping results to a manageable date range. filter.toDatestringNo End date (YYYY-MM-DD). Recommended for scoping results to a manageable date range. filter.userIdsarray<string>No List of user IDs to retrieve stats for
Response Schema Records Field Name Type Description userIdstringuserEmailAddressstringuserAggregateActivityStatsobjectuserAggregateActivityStats.callsAsHostintegeruserAggregateActivityStats.callsGaveFeedbackintegeruserAggregateActivityStats.callsRequestedFeedbackintegeruserAggregateActivityStats.callsReceivedFeedbackintegeruserAggregateActivityStats.ownCallsListenedTointegeruserAggregateActivityStats.othersCallsListenedTointegeruserAggregateActivityStats.callsSharedInternallyintegeruserAggregateActivityStats.callsSharedExternallyintegeruserAggregateActivityStats.callsScorecardsFilledintegeruserAggregateActivityStats.callsScorecardsReceivedintegeruserAggregateActivityStats.callsAttendedintegeruserAggregateActivityStats.callsCommentsGivenintegeruserAggregateActivityStats.callsCommentsReceivedintegeruserAggregateActivityStats.callsMarkedAsFeedbackGivenintegeruserAggregateActivityStats.callsMarkedAsFeedbackReceivedinteger
Field Name Type Description cursorstring | nulltotal_recordsintegercurrent_page_numberinteger
Stats Activity Day By Day
Stats Activity Day By Day List
Delivers daily user activity metrics across a specified date range
Python SDK
await gong . stats_activity_day_by_day . list ( filter = { } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "stats_activity_day_by_day", "action": "list", "params": { "filter": {} } }'
Parameters
Parameter Name Type Required Description filterobjectYes filter.fromDatestringNo Start date (YYYY-MM-DD). Recommended for scoping results to a manageable date range. filter.toDatestringNo End date (YYYY-MM-DD). Recommended for scoping results to a manageable date range. filter.userIdsarray<string>No List of user IDs to retrieve stats for
Response Schema Records Field Name Type Description userIdstringuserEmailAddressstringuserDailyActivityStatsarray<object>userDailyActivityStats[].callsAsHostarray<string>userDailyActivityStats[].callsGaveFeedbackarray<string>userDailyActivityStats[].callsRequestedFeedbackarray<string>userDailyActivityStats[].callsReceivedFeedbackarray<string>userDailyActivityStats[].ownCallsListenedToarray<string>userDailyActivityStats[].othersCallsListenedToarray<string>userDailyActivityStats[].callsSharedInternallyarray<string>userDailyActivityStats[].callsSharedExternallyarray<string>userDailyActivityStats[].callsAttendedarray<string>userDailyActivityStats[].callsCommentsGivenarray<string>userDailyActivityStats[].callsCommentsReceivedarray<string>userDailyActivityStats[].callsMarkedAsFeedbackGivenarray<string>userDailyActivityStats[].callsMarkedAsFeedbackReceivedarray<string>userDailyActivityStats[].callsScorecardsFilledarray<string>userDailyActivityStats[].callsScorecardsReceivedarray<string>userDailyActivityStats[].fromDatestringuserDailyActivityStats[].toDatestring
Field Name Type Description cursorstring | nulltotal_recordsintegercurrent_page_numberinteger
Stats Interaction
Stats Interaction List
Returns interaction stats for users based on calls that have Whisper turned on
Python SDK
await gong . stats_interaction . list ( filter = { } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "stats_interaction", "action": "list", "params": { "filter": {} } }'
Parameters
Parameter Name Type Required Description filterobjectYes filter.fromDatestringNo Start date (YYYY-MM-DD). Recommended for scoping results to a manageable date range. filter.toDatestringNo End date (YYYY-MM-DD). Recommended for scoping results to a manageable date range. filter.userIdsarray<string>No List of user IDs to retrieve stats for
Response Schema Records Field Name Type Description userIdstringuserEmailAddressstringpersonInteractionStatsarray<object>personInteractionStats[].namestringpersonInteractionStats[].valuenumber
Field Name Type Description cursorstring | nulltotal_recordsintegercurrent_page_numberinteger
Settings Scorecards
Settings Scorecards List
Retrieve all scorecard configurations in the company
Python SDK
await gong . settings_scorecards . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "settings_scorecards", "action": "list" }'
Parameters
Parameter Name Type Required Description workspaceIdstringNo Filter scorecards by workspace ID
Response Schema Records Field Name Type Description scorecardIdstringscorecardNamestringworkspaceIdstring | nullenabledbooleanupdaterUserIdstringcreatedstringupdatedstringreviewMethodstringquestionsarray<object>questions[].questionIdstringquestions[].questionRevisionIdstringquestions[].questionTextstringquestions[].questionTypestringquestions[].isRequiredbooleanquestions[].isOverallbooleanquestions[].updaterUserIdstringquestions[].answerGuidestring | nullquestions[].minRangestring | nullquestions[].maxRangestring | nullquestions[].createdstringquestions[].updatedstringquestions[].answerOptionsarray<object>
Settings Scorecards Context Store Search
Search and filter settings scorecards records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await gong . settings_scorecards . context_store_search ( query = { "filter" : { "eq" : { "created" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "settings_scorecards", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"created": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description createdstringThe timestamp when the scorecard was created enabledbooleanIndicates if the scorecard is enabled or disabled questionsarrayAn array of questions related to the scorecard scorecardIdstringThe unique identifier of the scorecard scorecardNamestringThe name of the scorecard updatedstringThe timestamp when the scorecard was last updated updaterUserIdstringThe user ID of the person who last updated the scorecard workspaceIdstringThe unique identifier of the workspace associated with the scorecard
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].createdstringThe timestamp when the scorecard was created data[].enabledbooleanIndicates if the scorecard is enabled or disabled data[].questionsarrayAn array of questions related to the scorecard data[].scorecardIdstringThe unique identifier of the scorecard data[].scorecardNamestringThe name of the scorecard data[].updatedstringThe timestamp when the scorecard was last updated data[].updaterUserIdstringThe user ID of the person who last updated the scorecard data[].workspaceIdstringThe unique identifier of the workspace associated with the scorecard
Settings Trackers
Settings Trackers List
Retrieve all keyword tracker configurations in the company
Python SDK
await gong . settings_trackers . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "settings_trackers", "action": "list" }'
Parameters
Parameter Name Type Required Description workspaceIdstringNo Filter trackers by workspace ID
Response Schema Records Field Name Type Description trackerIdstringtrackerNamestringworkspaceIdstring | nulllanguageKeywordsarray<object>affiliationstringpartOfQuestionbooleansaidAtstringsaidAtIntervalstring | nullsaidAtUnitstring | nullsaidInTopicsarray<string>filterQuerystringcreatedstringcreatorUserIdstring | nullupdatedstringupdaterUserIdstring | null
Library Folders
Library Folders List
Retrieve the folder structure of the call library
Python SDK
await gong . library_folders . list ( workspace_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "library_folders", "action": "list", "params": { "workspaceId": "<str>" } }'
Parameters
Parameter Name Type Required Description workspaceIdstringYes Workspace ID to retrieve folders from
Response Schema Records Field Name Type Description idstringnamestringparentFolderIdstring | nullcreatedBystring | nullupdatedstring
Library Folder Content
Library Folder Content List
Retrieve calls in a specific library folder
Python SDK
await gong . library_folder_content . list ( folder_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "library_folder_content", "action": "list", "params": { "folderId": "<str>" } }'
Parameters
Parameter Name Type Required Description folderIdstringYes Folder ID to retrieve content from cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description callIdstringtitlestringstartedstringdurationintegerprimaryUserIdstringurlstring
Field Name Type Description cursorstring | nulltotal_recordsintegercurrent_page_numberinteger
Coaching
Coaching List
Retrieve coaching metrics for a manager and their direct reports
Python SDK
await gong . coaching . list ( workspace_id = "<str>" , manager_id = "<str>" , from_ = "2025-01-01T00:00:00Z" , to = "2025-01-01T00:00:00Z" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "coaching", "action": "list", "params": { "workspace-id": "<str>", "manager-id": "<str>", "from": "2025-01-01T00:00:00Z", "to": "2025-01-01T00:00:00Z" } }'
Parameters
Parameter Name Type Required Description workspace-idstringYes Workspace ID manager-idstringYes Manager user ID fromstringYes Start date in ISO 8601 format tostringYes End date in ISO 8601 format
Response Schema Records Field Name Type Description userIdstringuserEmailAddressstringuserNamestringisManagerbooleancoachingMetricsobjectcoachingMetrics.callsListenedintegercoachingMetrics.callsAttendedintegercoachingMetrics.callsWithFeedbackintegercoachingMetrics.callsWithCommentsintegercoachingMetrics.scorecardsFilledinteger
Stats Activity Scorecards
Stats Activity Scorecards List
Retrieve answered scorecards for applicable reviewed users or scorecards for a date range
Python SDK
await gong . stats_activity_scorecards . list ( filter = { } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "stats_activity_scorecards", "action": "list", "params": { "filter": {} } }'
Parameters
Parameter Name Type Required Description filterobjectYes filter.fromDateTimestringNo Start date in ISO 8601 format. Recommended for scoping results to a manageable date range. filter.toDateTimestringNo End date in ISO 8601 format. Recommended for scoping results to a manageable date range. filter.scorecardIdsarray<string>No List of scorecard IDs to filter by filter.reviewedUserIdsarray<string>No List of reviewed user IDs to filter by filter.reviewerUserIdsarray<string>No List of reviewer user IDs to filter by filter.callIdsarray<string>No List of call IDs to filter by cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description answeredScorecardIdstringscorecardIdstringscorecardNamestringcallIdstringcallStartTimestringreviewedUserIdstringreviewerUserIdstringreviewMethodstringeditorUserIdstring | nullansweredDateTimestringreviewTimestringvisibilityTypestringanswersarray<object>answers[].questionIdstringanswers[].questionRevisionIdstringanswers[].isOverallbooleananswers[].answerstringanswers[].answerTextstring | nullanswers[].scorenumberanswers[].notApplicablebooleananswers[].selectedOptionsarray | nulloverallScorenumbervisibilitystring
Field Name Type Description cursorstring | nulltotal_recordsintegercurrent_page_numberinteger
Stats Activity Scorecards Context Store Search
Search and filter stats activity scorecards records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await gong . stats_activity_scorecards . context_store_search ( query = { "filter" : { "eq" : { "answeredScorecardId" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "stats_activity_scorecards", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"answeredScorecardId": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description answeredScorecardIdstringUnique identifier for the answered scorecard instance. answersarrayContains the answered questions in the scorecards callIdstringUnique identifier for the call associated with the answered scorecard. callStartTimestringTimestamp indicating the start time of the call. reviewTimestringTimestamp indicating when the review of the answered scorecard was completed. reviewedUserIdstringUnique identifier for the user whose performance was reviewed. reviewerUserIdstringUnique identifier for the user who performed the review. scorecardIdstringUnique identifier for the scorecard template used. scorecardNamestringName or title of the scorecard template used. visibilityTypestringType indicating the visibility permissions for the answered scorecard.
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].answeredScorecardIdstringUnique identifier for the answered scorecard instance. data[].answersarrayContains the answered questions in the scorecards data[].callIdstringUnique identifier for the call associated with the answered scorecard. data[].callStartTimestringTimestamp indicating the start time of the call. data[].reviewTimestringTimestamp indicating when the review of the answered scorecard was completed. data[].reviewedUserIdstringUnique identifier for the user whose performance was reviewed. data[].reviewerUserIdstringUnique identifier for the user who performed the review. data[].scorecardIdstringUnique identifier for the scorecard template used. data[].scorecardNamestringName or title of the scorecard template used. data[].visibilityTypestringType indicating the visibility permissions for the answered scorecard.